Subject: recursive nosedive in gcc/make,configure:solution
From: [email-masked] (Tom)

11 Jun 1997 21:14:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hello:

Im thinking this should be a FAQ. It's not. I've also read all the mail
for this group since March and its not explicitly in there that I can
see except for 1 reference which doesnt mention cc or make.

I had installed the b18 stuff on my Win95 box using cdk.exe and the
defaults. I have a /tmp directory.
from env:
GDBTK_LIBRARY=C:/gnuwin32/b18/share/gdbtcl
TCL_LIBRARY=C:/gnuwin32/b18/tcl/lib/tcl7.6
PATH includes
/BIN:/GNUWIN32/B18/H-I386-CYGWIN32/BIN:/GNUWIN32/B18/TCL/BIN
(/BIN containing the cygnus stuff
GCC_EXEC_PREFIX=C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\

I try to compile hello.c:
#include <stdio.h>
int main(void)
{
	printf("Hello world\n");
}
I compile with gcc hello.c. I get:
(unknown) In cygwin_except_handler
(unknown) Exception trapped!
(unknown) exception C0000005 at 1001BE62
(unknown) exception: ax 824D7000 bx 0 cx C10CEE28 dx BFFBF9E0
(unknown) exception: si 815A2EEC di 815A32E0 bp 253FCAC sp 253FCAC
(unknown) exception is: STATUS_ACCESS_VIOLATION
(unknown) Stack trace:
(unknown) frame 0: sp = 0x253FAC4, pc = 0x1000CEC2
(unknown) frame 1: sp = 0x253FAE0, pc = 0xBFF7663C
(unknown) frame 2: sp = 0x253FB04, pc = 0xBFF859D9
(unknown) frame 3: sp = 0x253FB9C, pc = 0xFFECBAD7
(unknown) frame 4: sp = 0x253FCAC, pc = 0x10011827
(unknown) frame 5: sp = 0x253FCBC, pc = 0x1000BAFC
(unknown) frame 6: sp = 0x253FE0C, pc = 0x1000C113
(unknown) frame 7: sp = 0x253FE18, pc = 0x40B699
(unknown) frame 8: sp = 0x253FE28, pc = 0x40103B
(unknown) frame 9: sp = 0x253FE38, pc = 0xBFF88F75
(unknown) frame 10: sp = 0x253FF78, pc = 0xBFF88E23
(unknown) frame 11: sp = 0x253FFF4, pc = 0xBFF8783F
(unknown) frame 12: sp = 0x815A2EEC, pc = 0x5
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
on and on and on.......

I had installed the tools back in march and with them cygwin.dll.
NOTE:::::the b18 release wont work with the old dll. find it, kill it,
try again!

the old dll is ~4mb, the new .5mb.

cheers tom.
Spam alert: dont reply directly - it's .net not .not
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".